# TdApi.ColorReplacement (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ColorReplacement

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ColorReplacement

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ColorReplacement

Enclosing class:
  TdApi

public static final class TdApi.ColorReplacement extends TdApi.Object
Describes a color replacement for animated emoji.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`newColor`
Replacement animated emoji color in the RGB24 format.
`int`
`oldColor`
Original animated emoji color in the RGB24 format.

## Constructor Summary

Constructors
Constructor
Description
`ColorReplacement()`
Describes a color replacement for animated emoji.
`ColorReplacement(int oldColor, int newColor)`
Describes a color replacement for animated emoji.
`ColorReplacement(DataInput input)`
Describes a color replacement for animated emoji.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldColor

public int oldColor
Original animated emoji color in the RGB24 format.

### newColor

public int newColor
Replacement animated emoji color in the RGB24 format.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ColorReplacement

public ColorReplacement()
Describes a color replacement for animated emoji.

### ColorReplacement

public ColorReplacement(int oldColor, int newColor)
Describes a color replacement for animated emoji.

Parameters:
  `oldColor` - int Original animated emoji color in the RGB24 format.
  `newColor` - int Replacement animated emoji color in the RGB24 format.

### ColorReplacement

public ColorReplacement(DataInput input) throws IOException
Describes a color replacement for animated emoji.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`